@font-face {
  font-family: dmsans;
  src: url();
}

@font-face {
  font-family: boldf;
  src: url(./Fonts/suisseintl-bold.ttf);
}

@font-face {
  font-family: lightf;
  src: url(./Fonts/suisseintl-light.ttf);
}

@font-face {
  font-family: mediumf;
  src: url(./Fonts/suisseintl-medium.ttf);
}

@font-face {
  font-family: regularf;
  src: url(./Fonts/suisseintl-regular.ttf);
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html,
body {
  width: 100%;
  height: 100%;
  font-family: regularf;
}

.minicircle {
  position: fixed;
  left: 0;
  top: 0;
  width: 20px;
  height: 20px;
  background-color: #000;
  border-radius: 50%;
  pointer-events: none;
  transform: translate(-50%, -50%) scale(1);
  /* mix-blend-mode: difference; */
  transition: transform 0.1s ease;
  z-index: 9999;
}

.fix-video {
  display: flex;
  justify-content: center;
  align-items: center;
  /* gap: 6vw; */
  position: fixed;
  left: 92%;
  top: 85%;
  z-index: 9999;
}

.video-wrapper {
  position: relative;
  width: 5.5vw;
  height: 5.5vw;
  /* padding: 2vw; */
}

.video-wrapper video {
  width: 100%;
  height: 100%;
  border-radius: 50%; /* circle video */
  object-fit: cover; /* crop nicely */
}

.circle-text {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 140%;
  height: 140%;
  /* font-size: 2vw; */
  /* height: 1vw; */
  color: #888;
  transform: translate(-50%, -50%);
  pointer-events: none; /* click block na kare */
  /* mix-blend-mode: difference; */
}



#main {
  width: 100%;
  background-color: #000;
}

nav {
  width: 100%;
  height: 9vh;
  /* background-color: red; */
  padding: 0 14.3vw;
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: fixed;
  top: 0;
  background-color: #fffffff7;
  z-index: 100;
}

.nav-left {
  width: fit-content;
  overflow: hidden;
}

.nav-left svg {
  height: 1.27vw;
  min-height: 20px;
  opacity: 1;
  transform: translateY(100%);
}

.nav-right {
  display: flex;
  gap: 2.3vw;
}

.nav-right-elem {
  overflow: hidden;
  position: relative;
  cursor: pointer;
  width: fit-content;
}

.nav-right-elem a {
  transform: translateY(120%);
  position: relative;
  display: inline-block;
  height: 1.3vw;
  overflow: hidden;
  text-decoration: none;
  font-size: 1vw;
  line-height: 1;
  font-weight: 500;
  cursor: pointer;
  color: #000;
}

.nav-right-elem a .text {
  display: block;
  transition: transform 0.3s linear;
}

.nav-right-elem a .text:first-child {
  transform: translateY(0);
}

.nav-right-elem a .text:last-child {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
}

.nav-right-elem a:hover .text:first-child {
  transform: translateY(-100%);
}

.nav-right-elem a:hover .text:last-child {
  transform: translateY(-100%);
}

#section1 {
  width: 100%;
  min-height: 100vh;
  background-color: #fff;
}

.sec1-top {
  width: 100%;
  height: 46vh;
  /* background-color: rgb(0, 255, 17); */
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
  /* text-align: center; */
  /* padding-top: 10vw; */
}

.sec1-top2 {
  display: flex;
  flex-direction: column;
  gap: 1vw;
}

.sec1-top-elem1 {
  width: fit-content;
  overflow: hidden;
  /* height: fit-content; */
  /* background-color: rgb(255, 238, 0); */
  margin-bottom: 1vw;
}

.sec1-top h5 {
  /* margin-top: 1.6vw; */
  font-size: 1.1vw;
  /* line-height: 1.1; */
  font-weight: 400;
  /* text-align: center; */
  font-family: regularf;
  /* width: 45%; */
  transform: translateY(100%);
  /* text-align: center; */
  /* margin-left: 11.5vw; */
}

.sec1-top-elem {
  width: fit-content;
  overflow: hidden;
  /* background-color: red; */
  /* line-height: 2; */
  display: flex;
  gap: 1vw;
  /* margin-bottom: 1vw; */
  /* text-align: center; */
}

.sec1-top-elem h1 {
  position: relative;
  cursor: pointer;
  height: 1.2em;

  /* width: fit-content; */
  font-size: 4.6vw;
  font-family: regularf;
  transform: translateY(100%);
}

.sec1-bottom {
  width: 100%;
  height: 100vh;
  /* background-color: blue; */
  padding: 6vw 14.5vw;
}

.sec1-video {
  /* position: relative; */
  width: 100%;
  height: 100%;
  overflow: hidden;
  border-radius: 20px;
  transform: translate(none);
  opacity: 0;
  scale: 0.6;
}

.sec1-video video {
  width: 100%;
  height: fit-content;
}

#section2 {
  width: 100%;
  min-height: 100vh;
  /* color: #fff */
  background-color: #fff;
  padding-bottom: 4vw;
}

.sec2-top {
  width: 100%;
  height: 18vh;
  padding: 2vw 20vw;
  /* background-color: pink; */
}

.sec2-heading {
  display: flex;
  width: fit-content;
  overflow: hidden;
  gap: 1vw;
  color: #000;
}

.sec2-heading h1 {
  font-size: 5vw;
  transform: translateY(100%);
  opacity: 0;
}

.sec2-content {
  width: 100%;
  min-height: 90vh;
  padding: 0 18vw;
}

.sec2-elastic {
  width: 100%;
}

.sec2-elastic svg {
  width: 40%;
}

.sec2-elastic svg path {
  fill: none;
  stroke: #000;
  stroke-width: 2;
  /* filter: drop-shadow(0 0 16px #00f2ff); */
}

.sec2-bottom {
  width: 100%;
  height: 30vh;
  display: flex;
  justify-content: space-between;
  padding: 0vw 2vw;
}

.sec2-bottom-left {
  width: 50%;
  height: 100%;
}

.sec2-bottom-left h5 {
  font-size: 0.7vw;
  font-weight: 300;
  text-transform: uppercase;
}

.sec2-bottom-right {
  width: 50%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.sec2-para {
  width: fit-content;
  overflow: hidden;
}
.sec2-para p {
  font-size: 1.4vw;
  transform: translateY(100%);
  opacity: 0;
}

.sec2-bottom2 {
  width: 100%;
  height: 15vh;
  display: flex;
  justify-content: flex-start;
  align-items: flex-end;
}

.sec2-bottom2 a {
  position: relative;
  font-size: 1.3vw;
  margin-top: 2vw;
  padding: 1.5vw 3vw;
  border: 1px solid #000;
  background: #fff;
  color: #000;
  font-size: 18px;
  font-weight: bold;
  text-decoration: none;
  cursor: pointer;
  overflow: hidden;
  display: inline-block;
  border-radius: 50px; /* 👈 Round pill shape */
  transition: color 0.4s ease, transform 0.4s ease, box-shadow 0.4s ease;
  z-index: 1;
  scale: 0.7;
  display: none;
  transform: translateY(40px);
}

.sec2-bottom2 a::before {
    content: "";
  position: absolute;
  bottom: -100%;
  left: 0;
  width: 100%;
  height: 100%;
  background: #000;
  z-index: -1;
  border-radius: 50px; /* 👈 Overlay bhi rounded */
  transition: bottom 0.5s ease;
  display: flex;
  align-items: center;
  justify-content: center;
}

.sec2-bottom2 a:hover {
  color: #fff;
  transform: scale(1.05);
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3);
}

.sec2-bottom2 a:hover::before {
  bottom: 0;
}

#section3 {
  width: 100%;
  min-height: 100vh;
  background-color: #000000;
  border-top-left-radius: 4.5vw;
  border-top-right-radius: 4.5vw;
  padding: 0vw 20vw;
  padding-top: 15vw;
}

.sec3-top {
  width: 100%;
}

.sec3-heading {
  width: fit-content;
  overflow: hidden;
  color: #000;
  margin: 1px;
}

.sec3-heading h1 {
  font-size: 4.5vw;
  transform: translateY(100%);
  color: #fff;
  opacity: 0;
}
.sec3-content {
  width: 100%;
  min-height: 90vh;
  color: #fff;
}

.sec3-elastic {
  width: 100%;
}

.sec3-elastic svg {
  width: 50%;
}

.sec3-elastic svg path {
  fill: none;
  stroke: #888;
  /* stroke-width: 1; */
  filter: drop-shadow(0 0 16px #00f2ff);
}

.sec3-bottom {
  width: 100%;
  height: 20vh;
  display: flex;
  justify-content: space-between;
  padding: 0vw 2vw;
}

.sec3-bottom svg {
  height: 3.5vw;
  animation: spin 4s linear infinite;
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.sec3-bottom h5 {
  text-transform: uppercase;
  margin-left: 10vw;
}

.sec3-bottom-right {
  width: 50%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.sec3-para {
  width: fit-content;
  overflow: hidden;
}
.sec3-para p {
  font-size: 1.4vw;
  transform: translateY(100%);
  opacity: 0;
}

#footer {
  width: 100%;
  min-height: 120vh;
  overflow: hidden;
  background-color: #000000;
  padding: 0 14vw;
  color: white;
  display: flex;
  padding-top: 6vw;
}

.footer-left {
  width: 50%;
  height: 100%;
  padding-top: 10vw;
  color: #fff;
  display: flex;
  justify-content: space-between;
}

.footer-left-top-elem a {
  position: relative;
  display: inline-block;
  padding: 0.4vw 1vw;
  font-size: 1.3vw;
  border-radius: 100px;
  border: 1px solid #fff;
  background-color: transparent;
  color: #fff;

  text-decoration: none;
  cursor: pointer;
  overflow: hidden;
  transition: color 0.4s ease;
  margin-bottom: 1.8vw;
}

.footer-left-top-elem a::after {
  content: "info@cuberto.com";
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #fff;
  color: #000;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50px;
  transition: all linear 0.3s;
}

.footer-left-top-elem a:hover {
  color: white;
  border: 1px solid #fff;
}

.footer-left-top-elem a:hover::after {
  top: 0;
}

.footer-left-top-elem p span {
  text-transform: uppercase;
  color: #888;
  margin-right: 0.4vw;
  font-weight: 400;
}

.footer-left-top-elem p {
  font-size: 0.9vw;
  font-weight: 600;
  width: 75%;
}

.footer-left-bottom-elem {
  display: flex;
  gap: 2vw;
  margin-top: 6vw;
}

.footer-left-bottom-elem a {
  color: #fff;
  text-decoration: none;
}

.footer-left-bottom-elem h5 {
  color: #888;
  font-size: 0.8vw;
}

.footer-content2 {
  padding-left: 1vw;
}

.footer-content2 a {
  position: relative;
  display: inline-block;
  padding: 0.4vw 1vw;
  font-size: 1.3vw;
  border-radius: 100px;
  border: 1px solid #fff;
  background-color: transparent;
  color: #fff;

  text-decoration: none;
  cursor: pointer;
  overflow: hidden;
  transition: color 0.4s ease;
  margin-bottom: 1.8vw;
}

.footer-content2 a::after {
  content: "+1 301 549 9309";
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #fff;
  color: #000;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50px;
  transition: all linear 0.3s;
}

.footer-content2 a:hover {
  color: white;
  border: 1px solid #fff;
}

.footer-content2 a:hover::after {
  top: 0;
}

.footer-content2 p span {
  text-transform: uppercase;
  color: #888;
  margin-right: 0.4vw;
  font-weight: 400;
}

.footer-content2 p {
  font-size: 0.9vw;
  font-weight: 600;
  width: 80%;
}

.footer-right {
  width: 50%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  padding-top: 10vw;
}

.footer-right-container {
  display: flex;
  gap: 3vw;
}

.footer-right-elem {
  margin-bottom: 1.1vw;
  text-align: right;
}

.footer-right-elem a {
  position: relative;
  display: inline-block;
  height: 1.3vw;
  overflow: hidden;
  text-decoration: none;
  font-size: 1.3vw;
  line-height: 1;
  font-weight: 400;
  cursor: pointer;
  color: #fff;
}

.footer-right-elem a .text2 {
  display: block;
  transition: transform 0.3s linear;
}

.footer-right-elem a .text2:first-child {
  transform: translateY(0);
}

.footer-right-elem a .text2:last-child {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
}

.footer-right-elem a:hover .text2:first-child {
  transform: translateY(-100%);
}

.footer-right-elem a:hover .text2:last-child {
  transform: translateY(-100%);
}

.footer-bottom-content {
  display: flex;
  gap: 1.6vw;
  margin-top: 3.5vw;
}

.footer-bottom-content a {
  text-decoration: none;
  font-size: 1.2vw;
  border-radius: 50%;
  padding: 0.9vw 0.9vw;
  background-color: #1a1a1a;
  color: #fff;
}
